Subject: Re: bug#15987: 24.3; diary-add-to-list ignored by diary-mark-entries

From: Stephen Berman <[email-masked]>
Date: Wed, 21 Aug 2019 18:31:57 +0200

On Wed, 21 Aug 2019 10:46:23 -0500 "Roland Winkler" <[email-masked]> wrote:

> On Wed Aug 21 2019 Stephen Berman wrote:
>> If diary-goto-entry-function is replaced, I'll adapt the todo-mode
>> code as needed.
>
> The goal is not to replace diary-goto-entry-function with something
> else, but instead diary-goto-entry becomes extensible so that
> diary-goto-entry-function is not needed anymore.
>
> For this, can you modify todo-mode such that it will put a text
> property diary-goto-entry on "its" diary entries?  The value of this
> text property should be a list (FUNCTION ARG1 ARG2 ...)  where
> FUNCTION will handle the diary entry of todo-mode when called with
> args ARG1 ARG2 ... So diary-goto-entry can branch accordingly.

Ah, now I remember you told me about this previously (more than two and
a half years ago).  As I said back then, if this requires changing how
todo-mode entries are added to the fancy diary display, it may take some
effort.  But if the consensus is that this is a good change for Emacs,
then I'm sure todo-mode can adapt to it.

Steve Berman